nvme_mi_admin_identify_ctrl(2)

NAME
nvme_mi_admin_identify_ctrl - Perform an Admin identify for a controller

SYNOPSIS
int nvme_mi_admin_identify_ctrl (nvme_mi_ctrl_t ctrl , struct nvme_id_ctrl *id );

ARGUMENTS

ctrl
    Controller to process identify command

id  Controller identify data to populate

DESCRIPTION
Perform an Identify command, for the controller specified by ctrl, writing identify data to id.

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE, so id will be fully populated on success.

See: struct nvme_id_ctrl

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.